<template>
  <div class="page-body">
    <div class="page-search row items-center">
      <div class="col row wrap q-mr-lg q-col-gutter-md">
        <div class="col-3">
          <q-input @change="resetSearch" clearable standout="bg-primary text-white" class="col-6 q-pr-lg q-pr-lg"
            v-model="msg.TypeName" label="类型名称" maxlength="20" @clear="resetSearch" />
        </div>
      </div>
    </div>
    <div class="page-content">
      <q-table :pagination="msg" :loading="loading" no-data-label="暂无相关数据" flat class="sticky-column-table"
        separator="none" :data="data" :columns="columns" row-key="name">
        <template v-slot:top="props">
          <div class="col-2 q-table__title">招聘类型信息</div>
          <q-space />
          <div class="page-option">
            <q-btn color="accent" class="q-mr-md" size="sm" icon="add" label="新增类型" @click="EditComic(null)" />
          </div>
        </template>
        <template v-slot:body-cell-CheckImg="props">
          <q-td>
            <img :src="props.row.CheckImg" style="width:50px;" />
          </q-td>
        </template>
        <template v-slot:bottom>
          <q-pagination class="full-width justify-end" v-model="msg.pageIndex" color="primary" :max="pageCount"
            :input="true" @input="changePage" />
        </template>
        <template v-slot:body-cell-optioned="props">
          <q-td :props="props">
            <q-btn flat size="xs" icon="edit" color="accent" style="font-weight:400" label="编辑"
              @click="EditComic(props.row)" />
            <q-btn flat size="xs" icon="delete" color="negative" style="font-weight:400" label="删除"
              @click="delMonthly(props.row)" />
          </q-td>
        </template>
      </q-table>
      <recruittype-form v-if="isShowRecruitForm" :save-obj="recruitObjOption" @close="closeRecruit" @success="refreshPage">
      </recruittype-form>
    </div>
  </div>
</template>
<script>
  import {
    GetWebRecruitmentTypePage,
    RemoveWebRecruitmentTypeStatus
  } from '../../api/system/webkit'
  import recruittypeForm from '../../components/system/recruittype-form'
  export default {
    meta: {
      title: "招聘类型管理"
    },
    components: {
      recruittypeForm
    },
    data() {
      return {
        columns: [{
          name: 'TypeName',
          label: '类型名称',
          field: 'TypeName',
          align: 'left'
        },{
          name: 'CheckImg',
          label: '封面图',
          field: 'CheckImg',
          align: 'left'
        },{
          name: 'optioned',
          label: '操作',
          field: 'MenuId'
        }],
        data: [],
        loading: true,
        msg: {
          pageIndex: 1,
          pageSize: 12,
          rowsPerPage: 12,
          TypeName: ''
        },
        pageCount: 0,
        isShowRecruitForm: false,
        recruitObjOption: null,
      }
    },
    mounted() {
      this.getList()
    },
    methods: {
      //重新查询
      resetSearch() {
        this.msg.pageIndex = 1;
        this.getList();
      },
      //翻页
      changePage(val) {
        this.msg.pageIndex = val;
        this.getList()
      },
      //获取菜单分页列表
      getList() {
        this.loading = true;
        GetWebRecruitmentTypePage(this.msg).then(res => {
          this.loading = false
          this.data = res.Data.PageData;
          this.pageCount = res.Data.PageCount;
        }).catch(() => {
          this.loading = false
        })
      },
      //刷新页面
      refreshPage() {
        if (!this.recruitObjOption) {
          this.msg.pageIndex = 1;
          this.msg.TypeName = "";
        }
        this.getList()
      },
      //新增修改菜单
      EditComic(obj) {
        if (obj) {
          this.recruitObjOption = obj
        } else {
          this.recruitObjOption = null
        }
        this.isShowRecruitForm = true
      },
      //关闭弹窗
      closeRecruit() {
        this.isShowRecruitForm = false
      },
      //删除
      delMonthly(obj) {
        this.$q.dialog({
          title: '提示信息',
          message: '是否确定删除？',
          cancel: true,
          persistent: true,
          ok: "确定",
          cancel: "取消",
        }).onOk(() => {
          let delMsg = {
            Id: obj.Id,
            Status: 1
          }
          RemoveWebRecruitmentTypeStatus(delMsg).then(res => {
            if (res.Code == 1) {
              this.$q.notify({
                icon: 'iconfont icon-chenggong',
                color: 'accent',
                timeout: 2000,
                message: '操作成功',
                position: 'top'
              })
              this.getList();
            }
          })
        })
      }
    }
  }

</script>
<style lang="sass">
  @import url('~assets/css/table.sass')

</style>
